<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
EdmWorkflowInfo Structure
See Also Members

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace : EdmWorkflowInfo Structure

Visual Basic
C#
C++/CLI
Holds information about a file's workflow state.

# Syntax

Visual Basic |
--- | ---

    Public Structure EdmWorkflowInfo
       Inherits System.ValueType

C# |
--- | ---

    public struct EdmWorkflowInfo : System.ValueType

C++/CLI |
--- | ---

    public value class EdmWorkflowInfo : public System.ValueType

# Example

struct EdmWorkflowInfo
string mbsStateName;
string mbsStateIcon;
string mbsWorkflowName;
};

# Example

Get File References for a File (C#)
Get File References for a File (VB.NET)

# Remarks

This structure is referenced in the EdmListFile2 structure.

# See Also

####

EdmWorkflowInfo Members
EPDM.Interop.epdm Namespace

# Availability

Version 6.4 of SOLIDWORKS PDM Professional